<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="8dp"
        android:background="@color/background" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:id="@+id/container_category"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="37dp">

            <LinearLayout
                android:id="@+id/container_primary_category"
                android:layout_width="90dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/iconIv"
                    android:layout_width="25dp"
                    android:layout_height="25dp" />

                <TextView
                    android:id="@+id/categoryName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:textColor="#000"
                    android:textSize="12sp"
                    tools:text="不是不能用" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/container_sub_category"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/container_primary_category"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/container_unexpandable"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical" />

                <net.cachapa.expandablelayout.ExpandableLayout
                    android:id="@+id/container_expandable"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:el_expanded="false" />
            </LinearLayout>

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="37dp"
            android:layout_below="@id/container_category">

            <ImageView
                android:id="@+id/iv_toggle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:paddingLeft="20dp"
                android:paddingTop="20dp"
                android:paddingRight="20dp"
                android:paddingBottom="10dp"
                android:src="@drawable/ic_category_arrow_down"
                android:visibility="gone"
                tools:visibility="visible" />
        </RelativeLayout>

    </RelativeLayout>
</LinearLayout>